﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.UserActivityViewModel
<div class="container">
    <div class="page-header">
        <h1>List Aktifitas User</h1>
    </div>
    <button type="button" class="btn btn-default" onclick="refreshDataTables('dataTable', '/Administration/UserActivityList');">Refresh Data</button>
    <span class="label label-warning">Press refresh button for initial loading</span>
    <br />
    <br />
    <div class="input-group short-width-input">
        <input type="text" class="form-control" placeholder="Keywords" id="txtKeywords" name="txtKeywords">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" onclick="searchDataTables('dataTable', '/Administration/UserActivityList');"><i class="fa fa-search"></i></button>
        </span>
    </div>
    <br />
    <table id="dataTable" class="table table-bordered table-striped table-hover" cellspacing="0" width="100%" border="0">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(m => m.UserActivityID)</th>
                <th>@Html.DisplayNameFor(m => m.UserActivityTypeID)</th>
                <th>@Html.DisplayNameFor(m => m.ExtraDescription)</th>
                <th>@Html.DisplayNameFor(m => m.ReferenceID)</th>
                <th>@Html.DisplayNameFor(m => m.CreatedBy)</th>
                <th>@Html.DisplayNameFor(m => m.DateTimeCreated)</th>
            </tr>
        </thead>
        <tbody></tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

@section scripts
{
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function () {
            loadDataTables("dataTable", "/Administration/UserActivityList", [
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                { "bSortable": true },
                ], "desc"
            );
        });
    </script>
}